commit 7503954945b71d13e28acd457301978b3b6482cc
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Nov 4 01:26:35 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index af8c24da51d..fb9b2fea697 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,22 @@
+2025-11-03  Jeff Law  <jlaw@ventanamicro.com>
+
+	Backported from master:
+	2025-11-01  Jeff Law  <jlaw@ventanamicro.com>
+
+	PR rtl-optimization/122321
+	* lra-constraints.cc (update_equiv): Make sure REGNO is in
+	ira_reg_equiv before trying to update ira_reg_equiv.
+
+2025-11-03  Andrew Pinski  <andrew.pinski@oss.qualcomm.com>
+
+	Backported from master:
+	2025-10-26  Andrew Pinski  <andrew.pinski@oss.qualcomm.com>
+
+	PR target/122270
+	* config/riscv/riscv-vector-builtins-bases.cc (vset::fold): Use the
+	unshare_expr for the statement that will be added seperately rather
+	the one which will be used for the replacement.
+
 2025-11-02  Georg-Johann Lay  <avr@gjlay.de>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 2bb6e40da9a..23733dc657b 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251103
+20251104
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 76e16807516..ab6c960e346 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,19 @@
+2025-11-03  Jeff Law  <jlaw@ventanamicro.com>
+
+	Backported from master:
+	2025-11-01  Jeff Law  <jlaw@ventanamicro.com>
+
+	PR rtl-optimization/122321
+	* gcc.target/riscv/rvv/autovec/pr122321.c: New test.
+
+2025-11-03  Andrew Pinski  <andrew.pinski@oss.qualcomm.com>
+
+	Backported from master:
+	2025-10-26  Andrew Pinski  <andrew.pinski@oss.qualcomm.com>
+
+	PR target/122270
+	* gcc.target/riscv/rvv/base/pr122270-1.c: New test.
+
 2025-11-02  Nathaniel Shead  <nathanieloshead@gmail.com>
 
 	Backported from master:

